%define  patch_name kernel-fix-core

Name: %patch_name
Version: 2006.10.24
Release: alt1
Summary: %patch_name kernel patch - fixes to core of Linux kernel
License: GPL
Group: Development/Kernel
BuildArch: noarch
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildRequires: kernel-build-tools

# kernel 2.4 patches
%source  1	2.4_01_core-dmi-black-list-rh.patch		  	2.4
%source  4	2.4_04_dcache-switch_names.patch		  	2.4
%source  5	2.4_05_apic_quiet.patch					2.4
%source  6	2.4_06_drivers-parport-parport_cs-core-fix.patch	2.4
%source  7	2.4_07_fs-intermezzo-dir-core-fix.patch			2.4
%source  8	2.4_08_net-bluetooth-bnep-core-core-fix.patch		2.4
%source 34	2.4_34_mptable-bogus-panic.patch			2.4
%source 35	2.4_35_fix-clock-running-too-fast.patch			2.4

# 2.6 patches
%source 2600	2.6_00_2.6.0-move_security_syslog_to_sys_syslog.patch	2.6
%source 2601	2.6_01_max_nested_links-8.patch				2.6
%source 2603	2.6_03_sysfs_remove_dir-invalidate-dentry.patch		2.6
%source 2604	2.6_04_fw_realloc_buffer.patch				2.6
%source 2605	2.6_05_get_cpu_sysdev-signedness-fix.patch		2.6
%source 2606	2.6_06_sysfs_add_link-kobject-leak.patch		2.6
%source 2607	2.6_07_fix-scheduler-deadlock.patch			2.6
%source 2608	2.6_08_dmi-onboard-device-discovery.patch		2.6
%source 2609	2.6_09_speedstep-smi-assembly-bug.patch			2.6
%source 2610	2.6_10_unshare-unsupported-flags.patch			2.6
%source 2611	2.6_11_dup_fd-error-path.patch				2.6
%source 2612	2.6_12_cpufreq-longhaul-broken.patch			2.6
%source 2613	2.6_13_p4-clockmod-n60-errata.patch			2.6
%source 2614	2.6_14_personality-module-refcount.patch		2.6
%source 2615	2.6_15_node_read_numastat.patch				2.6
%source 2616	2.6_16_buddy-list-race.patch				2.6
%source 2617	2.6_17_RLIMIT_CPU-zero.patch				2.6
%source 2618	2.6_18_suspend-with-traced-tasks.patch			2.6
%source 2619	2.6_19_non-leader-exec-under-ptrace.patch		2.6
%source 2620	2.6_20_ipc-grow_ary.patch				2.6
%source 2621	2.6_21_apm-fix-armada-laptops-again.patch		2.6
%source 2622	2.6_22_add-more-prevent_tail_call.patch			2.6
%source 2623	2.6_23_x86_64-asm-32bit.patch				2.6
%source 2624	2.6_24_x86_64-free_iommu-race.patch			2.6
%source 2625	2.6_25_for_each_possible_cpu.patch			2.6
%source 2626	2.6_26_x86-pae-pte_clear.patch				2.6
%source 2627	2.6_27_vm86-audit_syscall_exit.patch			2.6
%source 2628	2.6_28_vm86-audit-cleanup.patch				2.6
%source 2629	2.6_29_gather_stats-no-cond_resched.patch		2.6
%source 2630	2.6_30_shmem-add-migratepage.patch			2.6
%source 2631	2.6_31_page-migration-fix-for-dirty-pages.patch		2.6
%source 2632	2.6_32_ptrace_attach-ptrace_traceme-race.patch		2.6
%source 2633	2.6_33_ptrace_attach-deadlock-with-irqs.patch		2.6
%source 2634	2.6_34_resume-from-old-style-initrd.patch		2.6/34_not_kernel-feat-swsusp
%source 2635	2.6_35_cpuset-might-sleep.patch				2.6
%source 2636	2.6_36_x86_64-crashdump-trigger.patch			2.6
%source 2637	2.6_37_x86_64-syscall-exit-tracing.patch		2.6
%source 2638	2.6_38_check_process_timers-lockup.patch		2.6
%source 2639	2.6_39_pdflush-handle-resume-wakeups.patch		2.6
%source 2640	2.6_40_futex-unqueue_me-barrier.patch			2.6
%source 2641	2.6_41_idr-race-fix.patch				2.6
%source 2642	2.6_42_idr-irqsave.patch				2.6
%source 2643	2.6_43_usermodehelper-race.patch			2.6
%source 2644	2.6_44_ts_bm-init-bug.patch				2.6

# common patches
%source 90	90_alt-init.patch

%description
This package contains patches with fixes to core of Linux kernel.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Tue Oct 24 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.10.24-alt1
- Added patches for 2.6.16:
  + 2.6_44_ts_bm-init-bug.patch: textsearch: ts_bm: fix initialization bug

* Sun Oct 08 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.10.08-alt1
- Added patches for 2.6.16:
  + 2.6_42_idr-irqsave.patch: idr: convert internal locking to _irqsave variant
  + 2.6_43_usermodehelper-race.patch: fix race in usermodehelper
- Removed:
  - 2.6_02_headers-fix.patch (ldv) - now breaks userspace instead of fixing;
    see https://bugzilla.altlinux.org/show_bug.cgi?id=5409#c5 for details

* Sun Sep 10 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.09.10-alt1
- Added patches for 2.6.16:
  + 2.6_39_pdflush-handle-resume-wakeups.patch: pdflush: handle resume wakeups
  + 2.6_40_futex-unqueue_me-barrier.patch: fix misoptimization in futex
    unqueue_me()
  + 2.6_41_idr-race-fix.patch: idr: fix race in idr code

* Fri Jul 07 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.07.07-alt1
- Added patches for 2.6.16:
  + 2.6_38_check_process_timers-lockup.patch: check_process_timers: fix
    possible lockup

* Sun Jun 11 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.06.11-alt1
- Added patches for 2.6.16:
  + 2.6_34_resume-from-old-style-initrd.patch: fix swsusp resume triggered from
    old-style initrd (stolen from suspend2 (kernel-feat-swsusp), not applied
    when kernel-feat-swsusp is used).
  + 2.6_35_cpuset-might-sleep.patch: cpuset: might sleep checking zones allowed
    fix
  + 2.6_36_x86_64-crashdump-trigger.patch: x86_64: add crashdump trigger points
  + 2.6_37_x86_64-syscall-exit-tracing.patch: x86_64: don't do syscall exit
    tracing twice

* Fri May 19 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.05.19-alt1
- Added patches for 2.6.16:
  + 2.6_27_vm86-audit_syscall_exit.patch: make vm86 call audit_syscall_exit()
  + 2.6_28_vm86-audit-cleanup.patch: clean up broken asm in vm86 syscall audit
    code
  + 2.6_29_gather_stats-no-cond_resched.patch: remove cond_resched in
    gather_stats()
  + 2.6_30_shmem-add-migratepage.patch: add migratepage address space op to
    shmem
  + 2.6_31_page-migration-fix-for-dirty-pages.patch: page migration: fix
    fallback behavior for dirty pages
  + 2.6_32_ptrace_attach-ptrace_traceme-race.patch: fix
    ptrace_attach()/ptrace_traceme()/de_thread() race
  + 2.6_33_ptrace_attach-deadlock-with-irqs.patch: ptrace_attach: fix possible
    deadlock schenario with irqs
- Renumbered all 2.6.x patches starting from 00 again.
- Removed obsolete patches for kernel 2.6.14:
  - 2.6_53_fix-de_thread-vs-send_group_sendqueue-race.patch
  - 2.6_54_fix-ptrace-self-attach-rule.patch
  - 2.6_55_fix-signal-live-leak-in-copy_process.patch
  - 2.6_56_ptrace-auto-reap-fix.patch
  - 2.6_57_4GB-memory-intel-dual-core.patch
  - 2.6_58_fix-crash-when-ptrace-poking-hugepage-areas.patch
  - 2.6_59_add-try_to_freeze-to-kauditd.patch
  - 2.6_60_params-sysfs-access.patch
  - 2.6_61_msi-irq-affinity.patch

* Sat Apr 29 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.04.29-alt1
- Added patches for 2.6.16:
  + 2.6_82_x86_64-asm-32bit.patch: x86_64: pass -32 to the assembler when
    compiling the 32bit vsyscall pages
  + 2.6_83_x86_64-free_iommu-race.patch: x86_64: fix a race in the free_iommu
    path
  + 2.6_84_for_each_possible_cpu.patch: backport for_each_possible_cpu() into
    2.6.16
  + 2.6_85_x86-pae-pte_clear.patch: x86/PAE: fix pte_clear for the >4GB RAM
    case

* Sun Apr 23 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.04.23-alt1
- Added patches for 2.6.16:
  + 2.6_75_buddy-list-race.patch: fix buddy list race that could lead to page
    lru list corruptions
  + 2.6_76_RLIMIT_CPU-zero.patch: RLIMIT_CPU: fix handling of a zero limit
  + 2.6_77_suspend-with-traced-tasks.patch: fix suspend with traced tasks
  + 2.6_78_non-leader-exec-under-ptrace.patch: fix non-leader exec under ptrace
  + 2.6_79_ipc-grow_ary.patch: ipc: fix access to unmapped vmalloc area in
    grow_ary()
  + 2.6_80_apm-fix-armada-laptops-again.patch: apm: fix the "apm: set display:
    Interface not engaged" error on Armada laptops again
  + 2.6_81_add-more-prevent_tail_call.patch: add more prevent_tail_call() to
    fix userspace register corruption

* Wed Apr 12 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.04.12-alt1
- Added patches for 2.6.16:
  + 2.6_70_dup_fd-error-path.patch: fix wrong error path in dup_fd() leading to
    oopses in RCU
  + 2.6_71_cpufreq-longhaul-broken.patch: cpufreq: mark longhaul driver as
    broken
  + 2.6_72_p4-clockmod-n60-errata.patch: cpufreq: fix the p4-clockmod N60
    errata workaround
  + 2.6_73_personality-module-refcount.patch: fix module refcount leak in
    __set_personality()
  + 2.6_74_node_read_numastat.patch: fix NULL pointer dereference in
    node_read_numastat()

* Sun Mar 26 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.03.26-alt1
- Updated for kernel 2.6.16.
- Marked old patches to be appied only for 2.6.14:
  - 2.6_53_fix-de_thread-vs-send_group_sendqueue-race.patch
  - 2.6_54_fix-ptrace-self-attach-rule.patch
  - 2.6_55_fix-signal-live-leak-in-copy_process.patch
  - 2.6_56_ptrace-auto-reap-fix.patch
  - 2.6_57_4GB-memory-intel-dual-core.patch
  - 2.6_58_fix-crash-when-ptrace-poking-hugepage-areas.patch
  - 2.6_59_add-try_to_freeze-to-kauditd.patch
  - 2.6_60_params-sysfs-access.patch
  - 2.6_61_msi-irq-affinity.patch
- Added patches for 2.6.16:
  + 2.6_62_sysfs_remove_dir-invalidate-dentry.patch: sysfs: sysfs_remove_dir()
    needs to invalidate the dentry (fixes USB cdc-acm oops on disconnect)
  + 2.6_63_fw_realloc_buffer.patch: firmware: fix BUG: in fw_realloc_buffer
  + 2.6_64_get_cpu_sysdev-signedness-fix.patch: fix get_cpu_sysdev() parameter
    type
  + 2.6_65_sysfs_add_link-kobject-leak.patch: sysfs: fix a kobject leak in
    sysfs_add_link on the error path
  + 2.6_66_fix-scheduler-deadlock.patch: fix scheduler deadlock
  + 2.6_67_dmi-onboard-device-discovery.patch: DMI: fix DMI onboard device
    discovery
  + 2.6_68_speedstep-smi-assembly-bug.patch: speedstep-smi: fix assembly bug in
    speedstep_smi_ownership
  + 2.6_69-unshare-unsupported-flags.patch: unshare: error if passed
    unsupported flags

* Tue Feb 07 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.02.07-alt1
- Added patches for 2.6.14:
  + 2.6_61_msi-irq-affinity.patch: fix setting irq affinity with MSI enabled

* Sat Jan 07 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.01.07-alt1
- Added patches for 2.6.14:
  + 2.6_59_add-try_to_freeze-to-kauditd.patch: add try_to_freeze to kauditd to
    fix suspend failure
  + 2.6_60_params-sysfs-access.patch: kernel/params.c: fix sysfs access with
    CONFIG_MODULES=n

* Sun Dec 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.12.25-alt1
- Updated for kernel 2.4.32.
- Added:
  + 2.4_35_fix-clock-running-too-fast.patch: avoid using IO-APIC timer IRQ if
    timer interrupts are running too fast

* Wed Nov 30 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.11.30-alt1
- Updated for kernel 2.6.14.
- Removed obsolete patches:
  - 2.6_53_remap_pfn_range-align.patch
  - 2.6_54_string-asm-clobbers.patch
  - 2.6_55_module-per-cpu-alignment-fix.patch
  - 2.6_56_powernow-dual-core-amd-oops.patch
  - 2.6_57_sys_get_thread_area-leak.patch
  - 2.6_58_sys_set_mempolicy-mode-check.patch
  - 2.6_59_x86_64-32bit-memleak.patch
  - 2.6_60_x86_64-fix-smpboot-timing-problem.patch
  - 2.6_61_x86_64-srat-dual-core-amd.patch
- Added:
  + 2.6_53_fix-de_thread-vs-send_group_sendqueue-race.patch: fix de_thread() vs
    send_group_sigqueue() race
  + 2.6_54_fix-ptrace-self-attach-rule.patch: fix ptrace self-attach rule
  + 2.6_55_fix-signal-live-leak-in-copy_process.patch: fix signal->live leak in
    copy_process()
  + 2.6_56_ptrace-auto-reap-fix.patch: ptrace: don't auto-reap traced children
  + 2.6_57_4GB-memory-intel-dual-core.patch: x86_64/i386: Compute correct MTRR
    mask on early Noconas
  + 2.6_58_fix-crash-when-ptrace-poking-hugepage-areas.patch: fix crash when
    ptrace poking hugepage areas

* Sun Aug 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.08.14-alt1
- Added:
  + 2.6_55_module-per-cpu-alignment-fix.patch: do not BUG() when module per-cpu
    alignment cannot be met
  + 2.6_56_powernow-dual-core-amd-oops.patch: fix powernow oops on dual-core
    Athlon
  + 2.6_57_sys_get_thread_area-leak.patch: clear the returned argument in
    sys_get_thread_area()
  + 2.6_58_sys_set_mempolicy-mode-check.patch: check if mode < 0 in
    sys_set_mempolicy()
  + 2.6_59_x86_64-32bit-memleak.patch: x86_64: fix memleak from malicious 32bit
    elf program
  + 2.6_60_x86_64-fix-smpboot-timing-problem.patch: x86_64: fixing smpboot
    timing problem
  + 2.6_61_x86_64-srat-dual-core-amd.patch: x86_64: fix SRAT for non dual-core
    AMD systems

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_53_tasklist-locking-fix.patch
  - 2.6_54_rwsem-spinlock.patch
  - 2.6_55_uml-fix-syscall-table.patch
  - 2.6_56_security-keys-oops.patch
  - 2.6_57_rm-BUG-on-exit.patch
  - 2.6_58-driver_detach-fix.patch
  - 2.6_59_fix-get_unmapped_area-sanity-tests.patch
  - 2.6_60_x86_64-add-guard-page.patch
  - 2.6_61_x86_64-dont-lookup-page-of-pa-in-iounmap.patch
  - 2.6_62_x86_64-fix-canonical-checking.patch
  - 2.6_63_x86_64-ptrace-RIP-is-canonical.patch
  - 2.6_64_x86_64-vmalloc-mapping-dont-use-pte_page.patch
  - 2.6_65_fix-pte_unmap.patch
  - 2.6_66_x86_64-avoid-SMP-bootup-race.patch
  - 2.6_67_x86_64-fix-ptrace-boundary-check.patch
- Added:
  + 2.6_53_remap_pfn_range-align.patch: round size in remap_pfn_range() up to a
    page boundary
  + 2.6_54_string-asm-clobbers.patch: add "memory" clobbers to string.h
    functions to avoid memory access reordering by gcc

* Mon Jun 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.06.13-alt1
- Added patches for 2.6:
  + 2.6_59_fix-get_unmapped_area-sanity-tests.patch: fix get_unmapped_area()
    sanity tests
  + 2.6_60_x86_64-add-guard-page.patch: x86_64: add a guard page at the end of
    the 47bit address space (workaround for CPU bug in AMD K8)
  + 2.6_61_x86_64-dont-lookup-page-of-pa-in-iounmap.patch: x86_64: don't look
    up struct page pointer of physical address in iounmap
  + 2.6_62_x86_64-fix-canonical-checking.patch: x86_64: fix canonical checking
    for segment registers in ptrace
  + 2.6_63_x86_64-ptrace-RIP-is-canonical.patch: x86_64: check if ptrace RIP is
    canonical
  + 2.6_64_x86_64-vmalloc-mapping-dont-use-pte_page.patch: x86_64: when
    checking vmalloc mappings don't use pte_page
  + 2.6_65_fix-pte_unmap.patch: fix try_to_unmap_cluster() passing
    out-of-bounds pte to pte_unmap()
  + 2.6_66_x86_64-avoid-SMP-bootup-race.patch: x86_64: keep interrupts disabled
    during smp bootup to avoid a race that breaks SMP bootup on some machines
  + 2.6_67_x86_64-fix-ptrace-boundary-check.patch: x86_64: don't allow accesses
    below register frame in ptrace

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Added patches for 2.6:
  + 2.6_57_rm-BUG-on-exit.patch: remove bogus BUG() in kernel/exit.c
  + 2.6_58-driver_detach-fix.patch: fix driver_detach in case the release
    handler itself calls device_release_driver() for the next device (could
    cause hangs with some USB drivers like cdc-acm which bind to more than one
    interface)

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.10-alt1
- Added patches for 2.6:
  + 2.6_54_rwsem-spinlock.patch: make rwsems use interrupt disabling spinlocks
    (fixes deadlock in dio_complete())
  + 2.6_55_uml-fix-syscall-table.patch: fix syscall table for UML
  + 2.6_56_security-keys-oops.patch: fix SMP crash in security/keys/key.c

* Tue Mar 29 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.29-alt1
- Added patches for 2.6:
  + 2.6_53_tasklist-locking-fix.patch: add missing unlock which caused hangs
    instead of reboot on SMP

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_015-vmscan_total_scanned.patch
  - 2.6_00_020-clear_cyrix_mii_ecx_reg.patch
  - 2.6_00_042-gx_get_cpuspeed_return_value.patch
  - 2.6_00_043-dothan_p4_get_frequency.patch
  - 2.6_00_055-uml_new_thread_race.patch
  - 2.6_00_079-i386_timer_resume_slowdown.patch
  - 2.6_00_080-kernel_sched_might_sleep_ignore_if_oopsed.patch
  - 2.6_00_083-x86_64_switch_mm_context_race.patch
  - 2.6_00_084-smp_nmi_watchdog_race.patch
  - 2.6_00_086-i386_cpufreq_powernow_k8_acpi_error.patch

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Added patches from 2.6.10-as3:
  + 2.6_00_015-vmscan_total_scanned.patch
  + 2.6_00_020-clear_cyrix_mii_ecx_reg.patch
  + 2.6_00_042-gx_get_cpuspeed_return_value.patch
  + 2.6_00_043-dothan_p4_get_frequency.patch
  + 2.6_00_055-uml_new_thread_race.patch
  + 2.6_00_079-i386_timer_resume_slowdown.patch
  + 2.6_00_080-kernel_sched_might_sleep_ignore_if_oopsed.patch
  + 2.6_00_083-x86_64_switch_mm_context_race.patch
  + 2.6_00_084-smp_nmi_watchdog_race.patch
  + 2.6_00_086-i386_cpufreq_powernow_k8_acpi_error.patch

* Thu Oct 28 2004 Anton Farygin <rider@altlinux.ru> 2004.10.28-alt1
- Added for kernel 2.6:
    - 2.6_52_headers-fix.patch: fix for using kernel headers outside kernel (#5409)

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 2004.10.20-alt1
- Added for kernel 2.6:
    - 2.6_51_max_nested_links-8.patch

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 2.4_35_free-pages-in-irq.patch

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 2.4_35_vmalloc-error.patch
  - 2.4_36_mremap-oops-fix.patch
- Added:
  + 2.4_35_free-pages-in-irq.patch: fix page-free-at-IRQ context BUG (should
    fix the __free_pages() distcc oopses)

* Sun Mar 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.21-alt1
- Added:
  + 2.4_35_vmalloc-error.patch: fix vmalloc() error handling
  + 2.4_36_mremap-oops-fix.patch: mremap NULL pointer dereference fix

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for 2.4.25.
- Updated patches:
  - 2.4_01_core-dmi-black-list-rh.patch
- Removed obsolete patches (merged upstream):
  - 2.4_09_copy_namespace-fix.patch
  - 2.4_10_do_mounts-fix.patch
  - 2.4_11_attach_mnt-fix.patch
  - 2.4_12_console-switch-after-panic.patch
  - 2.4_13_panic-disable-blank.patch
  - 2.4_14_lapic-update-1.patch
  - 2.4_15_lapic-update-2.patch
  - 2.4_16_lapic-update-3.patch
  - 2.4_17_io-apic-avoid-smi.patch
  - 2.4_18_smp-irq-handling-race.patch
  - 2.4_19_ipc-init-order-fix.patch
  - 2.4_20_mm-checks-precedence-fix.patch
  - 2.4_21_unshare-init-files.patch
  - 2.4_22_panic-compile-fix.patch
  - 2.4_23_user-processes-acct-fix.patch
  - 2.4_25_smp-default-init-fix.patch
  - 2.4_26_mpparse-printk-fix.patch
  - 2.4_27_centrino-cache-size.patch
  - 2.4_29_init-argv0.patch
  - 2.4_30_PageReserved-count.patch
  - 2.4_31_page-flags-race.patch
  - 2.4_32_exec_usermodehelper-clear-all.patch
  - 2.4_33_mmap-noexec.patch

* Mon Feb 09 2004 Anton Farygin <rider@altlinux.ru> 2004.02.09-alt1
- 2.6 patches added

* Tue Dec 30 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.30-alt1
- Added:
  + 34_mptable-bogus-panic.patch: remove panic calls from MP table parsing code
    (MP table errors are not fatal, and the panic this early in the boot
    process is not visible).

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 33_mmap-noexec.patch: do not allow mmap with PROT_EXEC if the filesystem
    was mounted with 'noexec'.

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.09-alt1
- Added:
  + 90_alt-init.patch - fixed init program names (/sbin/init, /sbin/sash,
    /bin/sh), print init program name before attempting to start it.

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Added:
  + 12_console-switch-after-panic.patch
  + 13_panic-disable-blank.patch
  + 14_lapic-update-1.patch
  + 15_lapic-update-2.patch
  + 16_lapic-update-3.patch
  + 17_io-apic-avoid-smi.patch
  + 18_smp-irq-handling-race.patch
  + 19_ipc-init-order-fix.patch
  + 20_mm-checks-precedence-fix.patch
  + 21_unshare-init-files.patch
  + 22_panic-compile-fix.patch
  + 23_user-processes-acct-fix.patch
  + 25_smp-default-init-fix.patch
  + 26_mpparse-printk-fix.patch
  + 27_centrino-cache-size.patch
  + 29_init-argv0.patch
  + 30_PageReserved-count.patch
  + 31_page-flags-race.patch
  + 32_exec_usermodehelper-clear-all.patch

* Sun Oct 26 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.26-alt1
- Renamed patch files (added numeric prefixes).
- Added 09_copy_namespace-fix.patch: Fix far too small kmalloc in
  copy_namespace and promote errors properly.
- Added 10_do_mounts-fix.patch: Fix initrd with netboot (really not only with
  netboot - romfs initrd with builtin ext2 had the same problem).
- Added 11_attach_mnt-fix.patch: attach_mnt() fix to make copy_namespace() work
  correctly.

* Wed Sep 10 2003 Rider <rider@altlinux.ru> 2003.09.02-alt2
- fix for bug #2963 (Lost directory into %_usrsrc)

* Tue Sep 02 2003 Rider <rider@altlinux.ru> 2003.09.02-alt1
- removed included to mainstream patches
- added build requires

* Fri Aug 15 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.08.15-alt1
- added 05_apic_quiet.patch.

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.08.11-alt1
- moved 05_i855-agp-patches.patch to fix-drivers-char.

* Fri Aug  8 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.08.06-alt1
- added 05_i855-agp-patches.patch, adds 3d support in i855 boards.
- added dots in changelog.

* Wed Aug 06 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.08.06-alt1
- moved spec to install_patches format.
- added 04_dcache-switch_names.patch, that fixes start-stop-daemon.

* Mon Jul 29 2003 Ed V. Bartosh <ed@altlinux.ru> 2003.07.29-alt1
- fixed 'lost interrupt' IO-APIC bug (03_io-apic-resend-irq.patch).

* Sun Jun 15 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.11-alt2
- updated to 2.4.21 release.

* Wed Jun 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.11-alt1
- added new patches for rc7 to build.

* Thu May 22 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.04.23-alt1
- update dmi blacklist.

* Fri Apr 18 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.04.18-alt1
- new package.

* Sat Apr 12 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0-alt3
- apply patch in cycle so it doesn't run cat|patch if no PATCH_FILES 
  defined. (thanks to ed)

* Mon Mar 31 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0-alt2
- fixed apply script

* Wed Feb 12 2003 Peter Novodvorsky <nidd@myxomop.com> 1.0-alt1
- ptrace security hole patch included

